package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Description: 重置密码枚举
 * Author: zhangjing
 * Time: 2022/9/1 9:06
 * Classname: EResetPassword
 * PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EResetPassword {

    /**
     * 1=重置登录密码
     */
    LOGIN_PASSWORD(1, "重置登录密码", 0, EnumsPrefixConstants.ERESET_PASSWORD + "1"),
    /**
     * 2=重置支付密码
     */
    PAY_PASSWORD(2, "重置支付密码", 0, EnumsPrefixConstants.ERESET_PASSWORD + "2"),
    /**
     * 3=重置全部密码
     */
    ALL_PASSWORD(3, "重置全部密码", 0, EnumsPrefixConstants.ERESET_PASSWORD + "3"),



    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EResetPassword getEnumByValue(int value) {
        for (EResetPassword eApproveStatus : EResetPassword.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
